Skip to content

Update a ticket

PATCH
/events/{id}/tickets/{ticketId}

Update an existing ticket for a specific event

id
required
string
Example
evt_123abc

The unique identifier of the event

ticketId
required
string
Example
ticket_123abc

The unique identifier of the ticket to update

object
ticket
required

Ticket data to update

object
name
string
price
number
currency
string
quantity
number
context
required

Additional context information for ticket update

object
refId

Reference ID for the ticket

string
Example
{
"ticket": {
"name": "Updated General Admission",
"price": 3000,
"quantity": 150
},
"context": {
"refId": "ticket_001_updated"
}
}

Successfully updated ticket

object
status
string
Example
ok
data
object
id

ID of the updated ticket

string
Example
ticket_123abc

Bad request - ticket data is required

object
status
string
Example
error
message
string
Example
An error occurred
error
string
Example
{
"status": "error",
"message": "Bad Request: Ticket data is required"
}

Unauthorized - authentication required

object
status
string
Example
error
message
string
Example
An error occurred
error
string

Forbidden - insufficient permissions

object
status
string
Example
error
message
string
Example
An error occurred
error
string
Example
{
"status": "error",
"message": "Forbidden: You do not have permission to update events"
}

Ticket not found

object
status
string
Example
error
message
string
Example
An error occurred
error
string

Internal server error

object
status
string
Example
error
message
string
Example
An error occurred
error
string